<template>
  <input :type="type" :placeholder="placeholder" v-model="inputValue" :class="inputClass" />
</template>

<script setup lang="ts">
import { ref, defineProps, watch } from 'vue'

interface InputProps {
  type?: string
  placeholder?: string
  modelValue?: string | number | null // Ajout de null pour le type modelValue
}

const props = defineProps<InputProps>()
const emit = defineEmits(['update:modelValue'])

const inputValue = ref(props.modelValue !== undefined ? String(props.modelValue) : '') // Conversion en string

watch(inputValue, (newValue) => {
  emit('update:modelValue', newValue)
})

const inputClass = 'border rounded px-3 py-2 focus:outline-none focus:ring'
</script>
